/*
  file_dialog_widgets.h
*/

#ifndef file_dialog_widgets_H
#define file_dialog_widgets_H

#if defined(_WINDOWS)

#include <windows.h>
#include <commdlg.h>
#include <stdlib.h>
#include <stdio.h>

void PopFileInitialize (HWND hwnd);
int PopFileSaveDlg (HWND hwnd, PSTR pstrFileName, PSTR pstrTitleName);
int PopFileOpenDlg (HWND hwnd, PSTR pstrFileName, PSTR pstrTitleName);

#elif defined(_MACINTOSH)


#else

#include <amulet.h>

Am_Object InitializeGetFileDialog(char *dirName, char *fileName);
Am_Object InitializePutFileDialog(char *dirName, char *fileName);

extern Am_Slot_Key fileDialog_txtFilter;
extern Am_Slot_Key fileDialog_txtSelection;
extern Am_Slot_Key fileDialog_ListDirs;
extern Am_Slot_Key fileDialog_ListFiles;

#endif

#endif

